Select rules (Instance Group)
This API gets rules associated to an Azure Data Lake Instance Group.
Path Parameters
- instancegroupid integer required
Id of the Azure Data Lake Instance Group
Responses
- 200
OK
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
contents object[]
matchCriteria stringDefault - 'ALL', Supported values - ['ALL', 'ANY']
rules object[]
item stringSupported values: ['ALL_STORAGE_ACCOUNTS', 'STORAGE_ACCOUNT', 'RESOURCE_GROUP', 'TAG_NAME', 'TAG_VALUE', 'REGION']
condition stringSupported values: ['EQUALS', 'DOES_NOT_EQUAL', 'STARTS_WITH', 'ENDS_WITH', 'CONTAINS', 'DOES_NOT_CONTAIN']
value stringValue of the entity
{
"contents": [
{
"matchCriteria": "string",
"rules": [
{
"item": "string",
"condition": "string",
"value": "string"
}
]
}
]
}
{
"contents": [
{
"matchCriteria": "string",
"rules": [
{
"item": "string",
"condition": "string",
"value": "string"
}
]
}
]
}
Loading...